Bug 865539 - [abrt] xfce4-session-4.10.0-4.fc18: magazine_chain_pop_head: Process /usr/bin/xfce4-session was killed by signal 11 (SIGSEGV)
[abrt] xfce4-session-4.10.0-4.fc18: magazine_chain_pop_head: Process /usr/bin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-session (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:2a97c73141a46bd030c3f33b9eb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 13:28 EDT by Ricardo Silva
Modified: 2013-05-02 22:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-02 22:41:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.85 KB, text/plain)
2012-10-11 13:28 EDT, Ricardo Silva
no flags Details
File: environ (1.35 KB, text/plain)
2012-10-11 13:28 EDT, Ricardo Silva
no flags Details
File: backtrace (32.74 KB, text/plain)
2012-10-11 13:28 EDT, Ricardo Silva
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-11 13:28 EDT, Ricardo Silva
no flags Details
File: cgroup (130 bytes, text/plain)
2012-10-11 13:28 EDT, Ricardo Silva
no flags Details
File: maps (34.76 KB, text/plain)
2012-10-11 13:29 EDT, Ricardo Silva
no flags Details
File: dso_list (7.26 KB, text/plain)
2012-10-11 13:29 EDT, Ricardo Silva
no flags Details
File: proc_pid_status (923 bytes, text/plain)
2012-10-11 13:29 EDT, Ricardo Silva
no flags Details
File: var_log_messages (344 bytes, text/plain)
2012-10-11 13:29 EDT, Ricardo Silva
no flags Details
File: open_fds (782 bytes, text/plain)
2012-10-11 13:29 EDT, Ricardo Silva
no flags Details
gdm session log (14.00 KB, text/plain)
2013-03-19 05:05 EDT, Joe Wrigley
no flags Details

  None (edit)
Description Ricardo Silva 2012-10-11 13:28:44 EDT
Description of problem:
I've logged into XFCE, which crashed before the Desktop appeared.
This crash report was there as soon as I logged in again (login worked without a problem the 2nd time...)


Version-Release number of selected component:
xfce4-session-4.10.0-4.fc18

Additional info:
libreport version: 2.0.15
abrt_version:   2.0.14
backtrace_rating: 4
cmdline:        xfce4-session
crash_function: magazine_chain_pop_head
kernel:         3.6.1-1.fc18.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 magazine_chain_pop_head at gslice.c:532
: #1 thread_memory_magazine1_alloc at gslice.c:835
: #2 g_slice_alloc at gslice.c:994
: #3 handler_new at gsignal.c:566
: #4 g_signal_connect_closure_by_id at gsignal.c:2283
: #5 export_signals at dbus-gobject.c:2445
: #6 dbus_g_connection_register_g_object at dbus-gobject.c:2824
: #7 xfsm_client_dbus_init at xfsm-client.c:446
: #8 xfsm_client_set_initial_properties at xfsm-client.c:254
: #9 xfsm_manager_register_client at xfsm-manager.c:916
Comment 1 Ricardo Silva 2012-10-11 13:28:47 EDT
Created attachment 625604 [details]
File: core_backtrace
Comment 2 Ricardo Silva 2012-10-11 13:28:49 EDT
Created attachment 625605 [details]
File: environ
Comment 3 Ricardo Silva 2012-10-11 13:28:53 EDT
Created attachment 625606 [details]
File: backtrace
Comment 4 Ricardo Silva 2012-10-11 13:28:56 EDT
Created attachment 625607 [details]
File: limits
Comment 5 Ricardo Silva 2012-10-11 13:28:58 EDT
Created attachment 625608 [details]
File: cgroup
Comment 6 Ricardo Silva 2012-10-11 13:29:01 EDT
Created attachment 625610 [details]
File: maps
Comment 7 Ricardo Silva 2012-10-11 13:29:03 EDT
Created attachment 625612 [details]
File: dso_list
Comment 8 Ricardo Silva 2012-10-11 13:29:05 EDT
Created attachment 625613 [details]
File: proc_pid_status
Comment 9 Ricardo Silva 2012-10-11 13:29:07 EDT
Created attachment 625614 [details]
File: var_log_messages
Comment 10 Ricardo Silva 2012-10-11 13:29:09 EDT
Created attachment 625615 [details]
File: open_fds
Comment 11 Kevin Fenzi 2012-10-12 11:33:56 EDT
Interesting. When you did the first login it just took you back to the login screen to login again? 

Was there anything in ~/.xsession-errors that looks related?

Can you duplicate the crash, or was it a one time thing?
Comment 12 Ricardo Silva 2012-10-13 12:24:05 EDT
"~/.xsession-errors" -- There's no such file on my home. (I have .Xresources, .xscreensaver, but no .xsession-errors)


"Can you duplicate the crash, or was it a one time thing?"

I cannot duplicate it but it has happened at least twice.
Comment 13 Kevin Fenzi 2012-10-13 14:52:40 EDT
Odd. Are you using lightdm to login or gdm? 

If its gdm, I think they moved that to ~/.cache/gdm/
Comment 14 Ricardo Silva 2012-10-19 03:33:38 EDT
Sorry, couldn't find anything useful... and the problem hasn't happened again, so far.
Comment 15 Joe Wrigley 2013-03-19 05:05:47 EDT
Created attachment 712479 [details]
gdm session log

I encountered this problem (notified as "a known problem has occurred"). In the middle of my session startup, it just crashed and dumped me back to the login screen. Attached are gdm logs
Comment 16 Fedora Update System 2013-04-27 14:26:46 EDT
xfce4-session-4.10.0-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfce4-session-4.10.0-8.fc19
Comment 17 Erik P. Olsen 2013-04-28 01:18:29 EDT
It happened immediately after logon to my account and I didn't touch anything. It is not reproducible.

backtrace_rating: 4
cmdline:        xfce4-session
crash_function: magazine_chain_pop_head
executable:     /usr/bin/xfce4-session
kernel:         3.8.7-201.fc18.x86_64
package:        xfce4-session-4.10.0-4.fc18
reason:         Process /usr/bin/xfce4-session was killed by signal 11 (SIGSEGV)
uid:            1000
ureports_counter: 1
xsession_errors: xfce4-session-Message: ssh-agent is already running; starting gpg-agent without ssh support
Comment 18 Fedora Update System 2013-04-28 14:09:03 EDT
Package xfce4-session-4.10.0-8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-session-4.10.0-8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6871/xfce4-session-4.10.0-8.fc19
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2013-05-02 22:41:54 EDT
xfce4-session-4.10.0-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.